org.apache.fop.afp.modca

## Class PageGroup

- java.lang.Object
- - org.apache.fop.afp.modca.AbstractAFPObject
  - - org.apache.fop.afp.modca.AbstractStructuredObject
    - - org.apache.fop.afp.modca.AbstractTripletStructuredObject
      - - org.apache.fop.afp.modca.AbstractNamedAFPObject
        - - org.apache.fop.afp.modca.AbstractPageObject
          - - org.apache.fop.afp.modca.AbstractResourceGroupContainer
            - - org.apache.fop.afp.modca.AbstractResourceEnvironmentGroupContainer
              - - org.apache.fop.afp.modca.PageGroup

- All Implemented Interfaces:
    Completable, Streamable

      public class PageGroup
      extends AbstractResourceEnvironmentGroupContainer

  A page group is used in the data stream to define a named, logical grouping of sequential pages. Page groups are delimited by begin-end structured fields that carry the name of the page group. Page groups are defined so that the pages that comprise the group can be referenced or processed as a single entity. Page groups are often processed in stand-alone fashion; that is, they are indexed, retrieved, and presented outside the context of the containing document.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `AbstractAFPObject.Category, AbstractAFPObject.Type`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractResourceEnvironmentGroupContainer

      `resourceEnvironmentGroup`

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractResourceGroupContainer

      `resourceGroup, started`

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractPageObject

      `activeEnvironmentGroup, complete, factory, objects, rotation`

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject

      `name`

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject

      `triplets`

    - ### Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `LOG, SF_CLASS, SF_HEADER_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PageGroup(Factory factory, java.lang.String name)` Constructor for the PageGroup.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createTagLogicalElement(TagLogicalElement.State state)` Creates a TagLogicalElement on the page.
    `void` | `endPageGroup()` Method to mark the end of the page group.
    `java.lang.String` | `toString()`
    `protected void` | `writeEnd(java.io.OutputStream os)` Helper method to write the end of the Object.
    `protected void` | `writeStart(java.io.OutputStream os)` Helper method to write the start of the Object.

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractResourceEnvironmentGroupContainer

      `addPage, addPageGroup, createInvokeMediumMap, getResourceEnvironmentGroup, writeContent`

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractResourceGroupContainer

      `canWrite, getResourceCount, getResourceGroup, hasResources, writeObjects, writeObjects, writeToStream`

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractPageObject

      `addObject, createFont, createIncludePageSegment, createLine, createNoOperation, createText, endPage, endPresentationObject, getActiveEnvironmentGroup, getHeight, getPresentationTextObject, getRotation, getTagLogicalElements, getWidth, isComplete, setComplete`

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject

      `copySF, getName, getNameBytes, getNameLength, setName`

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject

      `addTriplet, addTriplets, getFullyQualifiedName, getTripletDataLength, getTriplets, hasTriplet, hasTriplets, setComment, setFullyQualifiedName, setFullyQualifiedName, setObjectClassification, writeTriplets`

    - ### Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject

      `copySF, truncate, writeChunksToStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PageGroup

          public PageGroup(Factory factory,
                           java.lang.String name)

      Constructor for the PageGroup.
      Parameters:
        `factory` - the resource manager
        `name` - the name of the page group

  - ### Method Detail

    - #### createTagLogicalElement

          public void createTagLogicalElement(TagLogicalElement.State state)

      Creates a TagLogicalElement on the page.
      Overrides:
        `createTagLogicalElement` in class `AbstractPageObject`
      Parameters:
        `state` - the state of the TLE

    - #### endPageGroup

          public void endPageGroup()

      Method to mark the end of the page group.

    - #### writeStart

          protected void writeStart(java.io.OutputStream os)
                             throws java.io.IOException

      Helper method to write the start of the Object.
      Overrides:
        `writeStart` in class `AbstractStructuredObject`
      Parameters:
        `os` - The stream to write to
      Throws:
        `java.io.IOException` - throws an I/O exception if one occurred

    - #### writeEnd

          protected void writeEnd(java.io.OutputStream os)
                           throws java.io.IOException

      Helper method to write the end of the Object.
      Overrides:
        `writeEnd` in class `AbstractStructuredObject`
      Parameters:
        `os` - The stream to write to
      Throws:
        `java.io.IOException` - an I/O exception if one occurred

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractNamedAFPObject`

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.